Bug 956021 - If rebuild of IMSM RAID5 volume is started in OROM, it does not proceed in OS.
Summary: If rebuild of IMSM RAID5 volume is started in OROM, it does not proceed in OS.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mdadm
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jes Sorensen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 956026 956031
TreeView+ depends on / blocked
 
Reported: 2013-04-24 08:08 UTC by Jes Sorensen
Modified: 2013-07-05 02:10 UTC (History)
7 users (show)

Fixed In Version: mdadm-3.2.6-19.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 956026 956031 (view as bug list)
Environment:
Last Closed: 2013-07-05 02:10:34 UTC


Attachments (Terms of Use)

Description Jes Sorensen 2013-04-24 08:08:03 UTC
If rebuild of IMSM RAID5 volume is started in OROM, it does not proceed in OS.

Reproducible: Always

Steps to Reproduce:
1. Create IMSM RAID5 volume with 3 HDDs
2. Remove one hot swappable HDD from the array 
3. Replace failed HDD with a good HDD (do not add it to container)
4. Restart computer, enter RSTe RAID OROM interface
5. Choose newly added HDD and start Rebuild in OROM
5. Boot OS and check RAID status in OS

Actual Results:  
RAID5 volume is in Degraded state in OS. Rebuild has not been started.

Expected Results:  
RAID5 volume is being rebuilt in OS.

Comment 1 Fedora Update System 2013-04-24 13:52:45 UTC
mdadm-3.2.6-19.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mdadm-3.2.6-19.fc18

Comment 2 Fedora Update System 2013-04-25 00:32:36 UTC
Package mdadm-3.2.6-19.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mdadm-3.2.6-19.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6536/mdadm-3.2.6-19.fc18
then log in and leave karma (feedback).

Comment 3 Lukasz Dorau 2013-06-27 12:52:01 UTC
The bug is fixed in the build mdadm-3.2.6-19.fc18.

Comment 4 Fedora Update System 2013-07-05 02:10:34 UTC
mdadm-3.2.6-19.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.